influxdb3-js release notes
v2.2.0
Features
- #707: Support passing interceptor functions to the Flight client.
- #711: Support custom tag order via
tagOrderwrite option. See Sort tags by priority for more.
v2.1.0
Bugfix
- #688: InfluxDB 3 Core/Enterprise write errors details handling.
v2.0.0
:warning: Breaking Changes: Node v18 support is dropped because it is end of life.
Features
- #622:
- Deprecated ConnectionOptions.timeout.
- Added ConnectionOptions.queryTimeout and ConnectionOptions.writeTimeout.
- Added QueryOptions.timeout and WriteOptions.timeout.
- Users can pass timeout directly to the query and write functions.
CI
- #626 Fix pipelines not downloading the correct node images.
Docs
- #645: Document gRPC compression.
v1.4.0
CI
- #607 Add tests for arm64 CircleCI.
v1.3.0
Features
- #585: Add function to get InfluxDB version.
- #588: Support grpc options available via @grpc/grpc-js.
- New client option (
grpcOptions) added. Accepts key-value pairs available via @grpc/grpc-js. - New queryOptions option (
grpcOptions) added. Accepts key-value pairs available via @grpc/grpc-js. - Configurable also with the environment variable (
INFLUXDB_GRPC_OPTIONS) which takes a comma separated list of key-value pairs. - See new example
clientWithGrpcOptions.ts. - Not supported in browser API.
- New client option (
- #591: Add comment warning null when calling getMeasurement function.
- #592: Run integration tests against a locally started InfluxDB 3 Core server.
v1.2.0
Features
- #574: Support fast writes without waiting for WAL persistence:
- New write option (
WriteOptions.noSync) added:truevalue means faster write but without the confirmation that the data was persisted. Default value:false. - Supported by self-managed InfluxDB 3 Core and Enterprise servers only!
- Also configurable via connection string query parameter (
writeNoSync). - Also configurable via environment variable (
INFLUX_WRITE_NO_SYNC). - Long precision string values added from v3 HTTP API:
"nanosecond","microsecond","millisecond","second"(in addition to the existing"ns","us","ms","s").
- New write option (
Bugfix
- #570: Fixes the bug that makes query results duplicate rows #553.
- #575: Upgrades build ecmascript to
es2023
v1.1.0
Features
- #545: Sets the correct versions for the client-browser package.
v1.0.0
Features
- #491: Respect iox::column_type::field metadata when
mapping query results into values.
- iox::column_type::field::integer: => number
- iox::column_type::field::uinteger: => number
- iox::column_type::field::float: => number
- iox::column_type::field::string: => string
- iox::column_type::field::boolean: => boolean
- 499: Migrate to new doc library
v0.12.0
Bugfix
- 437: Simplify iterating over Arrow’s batches in
QueryAPI
v0.11.0
Features
- 410: Accepts HTTP responses with 2xx status codes as a success for writes.
v0.10.0
Features
- 369: Propagates headers from HTTP response to HttpError when an error is returned from the server.
- 377: Add InfluxDB Edge (OSS) authentication support.
Bugfix
- 376: Handle InfluxDB Edge (OSS) errors better.
v0.9.0
Features
- 319: Adds standard
user-agentheader to calls.
v0.8.0
Breaking Changes
- 293: The Query API now uses a
QueryOptionsstructure inclient.query()methods. ThequeryTypeandqueryParamsvalues are now wrapped inside of it. QueryOptions also support adding custom headers. Query parameters are changed from typeMap<string, QParamType>to typeRecord<string, QParamType>.
Features
- 293:
QueryOptionsalso support adding custom headers.
v0.7.0
Features
- #256: Adds support for named query parameters
v0.6.0
Bugfix
- #221: Client options processing
v0.5.0
Features
- #183: Default Tags for Writes
v0.4.1
Bugfix
- #164: Query infinite wait state
v0.4.0
Features
- #157: Add client instantiation from connection string and environment variables
v0.3.1
Fixed package distribution files. The distribution files were not being included in the npm package.
v0.3.0
Features
- #89: Add structured query support
Docs
- #89: Add downsampling example
v0.2.0
Features
- #52: Add support for browser environment
Docs
- #52: Improve examples
v0.1.0
- initial release of new client version
- write using v2 api
- query using FlightSQL
- query using InfluxQl
Was this page helpful?
Thank you for your feedback!
Support and feedback
Thank you for being part of our community! We welcome and encourage your feedback and bug reports for InfluxDB 3 Core and this documentation. To find support, use the following resources:
Customers with an annual or support contract can contact InfluxData Support.